<template>
  <p>{{ description }}</p>
  <a :href="content" target=" _blank">{{ content }}</a>
</template>

<script setup lang="ts">
import { inject, onMounted, ref } from "vue";

const dialogRef: any = inject("dialogRef");

let params: { description: string, content: string };

const description = ref("");
const content = ref("");
// {{ textValue }}

onMounted(() => {
  params = dialogRef.value.data;
  description.value = params.description;
  content.value = params.content;
})

</script>
<style scoped></style>
